Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.image.wms
Interface IWmsLayer

All Known Implementing Classes:
  DefaultLayerAdapter

public interface IWmsLayer

Version:
  $Header: /cvs/distapps/openmap/src/openmap/com/bbn/openmap/image/wms/IWmsLayer.java,v 1.1.2.3 2007/08/13 16:48:47 dietrick Exp $
Author:
  pitek

Method Summary
`java.lang.String` | `getAbstract()`
`int` | `getFixedHeight()`
`int` | `getFixedWidth()`
`java.lang.String` | `getKeywordList()`
`IWmsLayerStyle[]` | `getStyles()`
`java.lang.String` | `getTitle()`
`java.lang.String` | `getWmsName()`
`boolean` | `isCascaded()`
`boolean` | `isNoSubsets()`
`boolean` | `isOpaque()`
`boolean` | `isQueryable()`
`boolean` | `isStyleSupported(java.lang.String name)`
`LayerFeatureInfoResponse` | `query(int x, int y)` Do a GetFeatureInfo query.
`void` | `setDefaultStyle()`
`void` | `setStyle(java.lang.String name)` Ustawia styl w warstwie.

Method Detail

### getTitle

    public java.lang.String getTitle()

  Returns:

### getWmsName

    public java.lang.String getWmsName()

  Returns:
    a String representing the short layer name. It is like `Layer#getPropertyPrefix()` and are used in WMS Urls.

### getAbstract

    public java.lang.String getAbstract()

  Returns:

### getKeywordList

    public java.lang.String getKeywordList()

  Returns:

### isQueryable

    public boolean isQueryable()

  Returns:

### query

    public LayerFeatureInfoResponse query(int x,
                                          int y)

  Do a GetFeatureInfo query.

  Parameters:
    `x` -
    `y` -
  Returns:

### isCascaded

    public boolean isCascaded()

  Returns:

### isOpaque

    public boolean isOpaque()

  Returns:

### isNoSubsets

    public boolean isNoSubsets()

  Returns:

### getFixedWidth

    public int getFixedWidth()

  Returns:

### getFixedHeight

    public int getFixedHeight()

  Returns:

### getStyles

    public IWmsLayerStyle[] getStyles()

  Returns:

### setStyle

    public void setStyle(java.lang.String name)

  Ustawia styl w warstwie.

  Parameters:
    `name` -

### isStyleSupported

    public boolean isStyleSupported(java.lang.String name)

  Parameters:
    `name` -

### setDefaultStyle

    public void setDefaultStyle()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details